com.dlsc.flexgantt.swing.layer

## Enum LayerContainerEvent.ID

- java.lang.Object
- - java.lang.Enum<LayerContainerEvent.ID>
  - - com.dlsc.flexgantt.swing.layer.LayerContainerEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<LayerContainerEvent.ID>
  Enclosing class:
    LayerContainerEvent

      public static enum LayerContainerEvent.ID
      extends Enum<LayerContainerEvent.ID>

  An ID enumerator used to distinguish between different types of events.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAYER_STACK_CHANGED` A value used for layer container events when the layer stack managed by the layer container has changed (layers have been moved forward or back, visibility of a layer changed).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LayerContainerEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LayerContainerEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LAYER_STACK_CHANGED

          public static final LayerContainerEvent.ID LAYER_STACK_CHANGED

      A value used for layer container events when the layer stack managed by the layer container has changed (layers have been moved forward or back, visibility of a layer changed).
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static LayerContainerEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayerContainerEvent.ID c : LayerContainerEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayerContainerEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.